Dialogs module - Defect #404

Can't remove dialog form 'dialogs_fimd' from history

01/05/2012 03:29 PM - Martin Heere

Status: Closed
Priority: Normal
Assignee:
Category:

Target version:

Browser (if web
client):

Start date:
Due date:

% Done:

Estimated time:

01/05/2012

0%
0.00 hour

Description
The Servoy serverlog is full of messages like this:

Can't remove dialog form 'dialogs_fimd' from history

Sometimes 6-7 messages in 1 minute.

As far as | can see it seems to happen in webclient

Can't reproduce it in developer

Current version 1.1.3

History

#1 - 01/05/2012 03:31 PM - Martin Heere

It is possible that the message (only) occurs when using this module in the solution onClose method.

#2 - 01/05/2012 03:35 PM - Robert Ivens

That is possible. Can you check if it only happens then ?

#3 - 07/01/2012 01:51 PM - Robert Ivens

- Component version set to 1.1.3

#4 - 07/01/2012 02:06 PM - Robert lvens

- Status changed from New to Closed

| did some testing for this issue with the onClose event with the latest version (1.1.5) and 6.0.6.

It seems that you can't create any new windows when you trigger the closeSolution or exit.
| guess we have to consider this as a limitation. Please file a feature request with Servoy of you want support for this.
